Upstream information

CVE-2018-4183 at MITRE

Description

In macOS High Sierra before 10.13.5, an access issue was addressed with additional sandbox restrictions.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.2
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.2 6.7
Vector CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required High High
User Interaction None None
Scope Changed Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1096407 [RESOLVED / FIXED], 1096408 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP1-CHOST-BYOS-Ali
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
Image SLES15-SP1-CHOST-BYOS-OpenStack
Image SLES15-SP2-CHOST-BYOS-Ali
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-EC2
Image SLES15-SP2-CHOST-BYOS-GCE
Image SLES15-SP2-CHOST-BYOS-OpenStack
  • cups-config >= 2.2.7-3.3.1
  • libcups2 >= 2.2.7-3.3.1
SUSE Linux Enterprise Build System Kit 12 SP3
  • cups >= 1.7.5-20.14.1
  • cups-ddk >= 1.7.5-20.14.1
Patchnames:
SUSE-SLE-BSK-12-SP3-2018-1471
SUSE Linux Enterprise Desktop 12 SP3
  • cups >= 1.7.5-20.14.1
  • cups-client >= 1.7.5-20.14.1
  • cups-libs >= 1.7.5-20.14.1
  • cups-libs-32bit >= 1.7.5-20.14.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1471
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
  • cups >= 1.7.5-20.17.1
  • cups-client >= 1.7.5-20.17.1
  • cups-libs >= 1.7.5-20.17.1
  • cups-libs-32bit >= 1.7.5-20.17.1
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • cups >= 1.7.5-20.23.1
  • cups-client >= 1.7.5-20.23.1
  • cups-libs >= 1.7.5-20.23.1
  • cups-libs-32bit >= 1.7.5-20.23.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • cups >= 2.2.7-3.11.7
  • cups-client >= 2.2.7-3.11.7
  • cups-config >= 2.2.7-3.11.7
  • cups-devel >= 2.2.7-3.11.7
  • libcups2 >= 2.2.7-3.11.7
  • libcups2-32bit >= 2.2.7-3.11.7
  • libcupscgi1 >= 2.2.7-3.11.7
  • libcupsimage2 >= 2.2.7-3.11.7
  • libcupsmime1 >= 2.2.7-3.11.7
  • libcupsppdc1 >= 2.2.7-3.11.7
SUSE Linux Enterprise Module for Basesystem 15
  • cups >= 2.2.7-3.3.1
  • cups-client >= 2.2.7-3.3.1
  • cups-config >= 2.2.7-3.3.1
  • cups-devel >= 2.2.7-3.3.1
  • libcups2 >= 2.2.7-3.3.1
  • libcupscgi1 >= 2.2.7-3.3.1
  • libcupsimage2 >= 2.2.7-3.3.1
  • libcupsmime1 >= 2.2.7-3.3.1
  • libcupsppdc1 >= 2.2.7-3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-1476
SUSE Linux Enterprise Module for Desktop Applications 15
  • cups >= 2.2.7-3.3.1
  • libcups2-32bit >= 2.2.7-3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2018-1476
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • cups-ddk >= 2.2.7-3.11.7
SUSE Linux Enterprise Module for Development Tools 15
  • cups >= 2.2.7-3.3.1
  • cups-ddk >= 2.2.7-3.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2018-1476
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • cups >= 1.3.9-8.46.56.3.1
  • cups-client >= 1.3.9-8.46.56.3.1
  • cups-libs >= 1.3.9-8.46.56.3.1
  • cups-libs-32bit >= 1.3.9-8.46.56.3.1
  • cups-libs-x86 >= 1.3.9-8.46.56.3.1
Patchnames:
slessp4-cups-13718
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • cups >= 1.7.5-20.14.1
  • cups-client >= 1.7.5-20.14.1
  • cups-libs >= 1.7.5-20.14.1
  • cups-libs-32bit >= 1.7.5-20.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1471
SUSE Linux Enterprise Software Development Kit 11 SP4
  • cups >= 1.3.9-8.46.56.3.1
  • cups-devel >= 1.3.9-8.46.56.3.1
Patchnames:
sdksp4-cups-13718
SUSE Linux Enterprise Software Development Kit 12 SP3
  • cups >= 1.7.5-20.14.1
  • cups-ddk >= 1.7.5-20.14.1
  • cups-devel >= 1.7.5-20.14.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1471
SUSE Linux Enterprise Software Development Kit 12 SP4
  • cups-ddk >= 1.7.5-20.17.1
  • cups-devel >= 1.7.5-20.17.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • cups-ddk >= 1.7.5-20.23.1
  • cups-devel >= 1.7.5-20.23.1
openSUSE Leap 15.0
  • cups >= 2.2.7-lp150.2.3.1
  • cups-client >= 2.2.7-lp150.2.3.1
  • cups-client-debuginfo >= 2.2.7-lp150.2.3.1
  • cups-config >= 2.2.7-lp150.2.3.1
  • cups-ddk >= 2.2.7-lp150.2.3.1
  • cups-ddk-debuginfo >= 2.2.7-lp150.2.3.1
  • cups-debuginfo >= 2.2.7-lp150.2.3.1
  • cups-debugsource >= 2.2.7-lp150.2.3.1
  • cups-devel >= 2.2.7-lp150.2.3.1
  • cups-devel-32bit >= 2.2.7-lp150.2.3.1
  • libcups2 >= 2.2.7-lp150.2.3.1
  • libcups2-32bit >= 2.2.7-lp150.2.3.1
  • libcups2-32bit-debuginfo >= 2.2.7-lp150.2.3.1
  • libcups2-debuginfo >= 2.2.7-lp150.2.3.1
  • libcupscgi1 >= 2.2.7-lp150.2.3.1
  • libcupscgi1-32bit >= 2.2.7-lp150.2.3.1
  • libcupscgi1-32bit-debuginfo >= 2.2.7-lp150.2.3.1
  • libcupscgi1-debuginfo >= 2.2.7-lp150.2.3.1
  • libcupsimage2 >= 2.2.7-lp150.2.3.1
  • libcupsimage2-32bit >= 2.2.7-lp150.2.3.1
  • libcupsimage2-32bit-debuginfo >= 2.2.7-lp150.2.3.1
  • libcupsimage2-debuginfo >= 2.2.7-lp150.2.3.1
  • libcupsmime1 >= 2.2.7-lp150.2.3.1
  • libcupsmime1-32bit >= 2.2.7-lp150.2.3.1
  • libcupsmime1-32bit-debuginfo >= 2.2.7-lp150.2.3.1
  • libcupsmime1-debuginfo >= 2.2.7-lp150.2.3.1
  • libcupsppdc1 >= 2.2.7-lp150.2.3.1
  • libcupsppdc1-32bit >= 2.2.7-lp150.2.3.1
  • libcupsppdc1-32bit-debuginfo >= 2.2.7-lp150.2.3.1
  • libcupsppdc1-debuginfo >= 2.2.7-lp150.2.3.1
Patchnames:
openSUSE-2019-583
openSUSE Leap 42.3
  • cups >= 1.7.5-12.6.1
  • cups-client >= 1.7.5-12.6.1
  • cups-client-debuginfo >= 1.7.5-12.6.1
  • cups-ddk >= 1.7.5-12.6.1
  • cups-ddk-debuginfo >= 1.7.5-12.6.1
  • cups-debuginfo >= 1.7.5-12.6.1
  • cups-debugsource >= 1.7.5-12.6.1
  • cups-devel >= 1.7.5-12.6.1
  • cups-libs >= 1.7.5-12.6.1
  • cups-libs-32bit >= 1.7.5-12.6.1
  • cups-libs-debuginfo >= 1.7.5-12.6.1
  • cups-libs-debuginfo-32bit >= 1.7.5-12.6.1
Patchnames:
openSUSE-2018-822


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise BSK 12 SP3 cups Already fixed
SUSE Linux Enterprise Desktop 12 SP3 cups Already fixed
SUSE Linux Enterprise Module for Basesystem 15 GA cups Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA cups Released
SUSE Linux Enterprise Module for Development Tools 15 GA cups Released
SUSE Linux Enterprise SDK 11 SP4 cups Released
SUSE Linux Enterprise SDK 12 SP3 cups Already fixed
SUSE Linux Enterprise Server 11 SP3 LTSS cups Affected
SUSE Linux Enterprise Server 11 SP4 cups Released
SUSE Linux Enterprise Server 12 GA LTSS cups Already fixed
SUSE Linux Enterprise Server 12 SP1 LTSS cups Already fixed
SUSE Linux Enterprise Server 12 SP2 LTSS cups Already fixed
SUSE Linux Enterprise Server 12 SP3 cups Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 cups Already fixed